Respond to a quote
Respond to a quote
curl --request POST \
--url https://api-oms.verolabs.co/api/v1/orders/quote-response \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"quote_msg_id": "<string>",
"quote_resp_id": "<string>",
"quote_id": "<string>",
"quote_resp_type": 123,
"quote_type": 123,
"parties": [
{
"party_id": "<string>",
"party_id_source": "<string>",
"party_role": 123
}
],
"symbol": "<string>",
"side": "<string>",
"order_qty": 123,
"account": "<string>",
"account_type": 123,
"bid_price": "<string>",
"offer_price": "<string>",
"bid_size": 123,
"offer_size": 123,
"order_type": "<string>",
"trade_date": "<string>",
"cash_margin": "<string>",
"ioi_id": "<string>",
"invest_code": "<string>",
"forn_invest_type_code": "<string>",
"repo_haircut_ratio_mantissa": 123,
"collateral_value_mantissa": 123,
"custodian_id": "<string>",
"open_close_code": "<string>",
"forn_nego_classfy_code": "<string>"
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
quote_msg_id: '<string>',
quote_resp_id: '<string>',
quote_id: '<string>',
quote_resp_type: 123,
quote_type: 123,
parties: [{party_id: '<string>', party_id_source: '<string>', party_role: 123}],
symbol: '<string>',
side: '<string>',
order_qty: 123,
account: '<string>',
account_type: 123,
bid_price: '<string>',
offer_price: '<string>',
bid_size: 123,
offer_size: 123,
order_type: '<string>',
trade_date: '<string>',
cash_margin: '<string>',
ioi_id: '<string>',
invest_code: '<string>',
forn_invest_type_code: '<string>',
repo_haircut_ratio_mantissa: 123,
collateral_value_mantissa: 123,
custodian_id: '<string>',
open_close_code: '<string>',
forn_nego_classfy_code: '<string>'
})
};
fetch('https://api-oms.verolabs.co/api/v1/orders/quote-response', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api-oms.verolabs.co/api/v1/orders/quote-response"
payload = {
"quote_msg_id": "<string>",
"quote_resp_id": "<string>",
"quote_id": "<string>",
"quote_resp_type": 123,
"quote_type": 123,
"parties": [
{
"party_id": "<string>",
"party_id_source": "<string>",
"party_role": 123
}
],
"symbol": "<string>",
"side": "<string>",
"order_qty": 123,
"account": "<string>",
"account_type": 123,
"bid_price": "<string>",
"offer_price": "<string>",
"bid_size": 123,
"offer_size": 123,
"order_type": "<string>",
"trade_date": "<string>",
"cash_margin": "<string>",
"ioi_id": "<string>",
"invest_code": "<string>",
"forn_invest_type_code": "<string>",
"repo_haircut_ratio_mantissa": 123,
"collateral_value_mantissa": 123,
"custodian_id": "<string>",
"open_close_code": "<string>",
"forn_nego_classfy_code": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api-oms.verolabs.co/api/v1/orders/quote-response"
payload := strings.NewReader("{\n \"quote_msg_id\": \"<string>\",\n \"quote_resp_id\": \"<string>\",\n \"quote_id\": \"<string>\",\n \"quote_resp_type\": 123,\n \"quote_type\": 123,\n \"parties\": [\n {\n \"party_id\": \"<string>\",\n \"party_id_source\": \"<string>\",\n \"party_role\": 123\n }\n ],\n \"symbol\": \"<string>\",\n \"side\": \"<string>\",\n \"order_qty\": 123,\n \"account\": \"<string>\",\n \"account_type\": 123,\n \"bid_price\": \"<string>\",\n \"offer_price\": \"<string>\",\n \"bid_size\": 123,\n \"offer_size\": 123,\n \"order_type\": \"<string>\",\n \"trade_date\": \"<string>\",\n \"cash_margin\": \"<string>\",\n \"ioi_id\": \"<string>\",\n \"invest_code\": \"<string>\",\n \"forn_invest_type_code\": \"<string>\",\n \"repo_haircut_ratio_mantissa\": 123,\n \"collateral_value_mantissa\": 123,\n \"custodian_id\": \"<string>\",\n \"open_close_code\": \"<string>\",\n \"forn_nego_classfy_code\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}using RestSharp;
var options = new RestClientOptions("https://api-oms.verolabs.co/api/v1/orders/quote-response");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "Bearer <token>");
request.AddJsonBody("{\n \"quote_msg_id\": \"<string>\",\n \"quote_resp_id\": \"<string>\",\n \"quote_id\": \"<string>\",\n \"quote_resp_type\": 123,\n \"quote_type\": 123,\n \"parties\": [\n {\n \"party_id\": \"<string>\",\n \"party_id_source\": \"<string>\",\n \"party_role\": 123\n }\n ],\n \"symbol\": \"<string>\",\n \"side\": \"<string>\",\n \"order_qty\": 123,\n \"account\": \"<string>\",\n \"account_type\": 123,\n \"bid_price\": \"<string>\",\n \"offer_price\": \"<string>\",\n \"bid_size\": 123,\n \"offer_size\": 123,\n \"order_type\": \"<string>\",\n \"trade_date\": \"<string>\",\n \"cash_margin\": \"<string>\",\n \"ioi_id\": \"<string>\",\n \"invest_code\": \"<string>\",\n \"forn_invest_type_code\": \"<string>\",\n \"repo_haircut_ratio_mantissa\": 123,\n \"collateral_value_mantissa\": 123,\n \"custodian_id\": \"<string>\",\n \"open_close_code\": \"<string>\",\n \"forn_nego_classfy_code\": \"<string>\"\n}", false);
var response = await client.PostAsync(request);
Console.WriteLine("{0}", response.Content);
falseCURL *hnd = curl_easy_init();
curl_easy_setopt(hnd, CURLOPT_CUSTOMREQUEST, "POST");
curl_easy_setopt(hnd, CURLOPT_WRITEDATA, stdout);
curl_easy_setopt(hnd, CURLOPT_URL, "https://api-oms.verolabs.co/api/v1/orders/quote-response");
struct curl_slist *headers = NULL;
headers = curl_slist_append(headers, "Authorization: Bearer <token>");
headers = curl_slist_append(headers, "Content-Type: application/json");
curl_easy_setopt(hnd, CURLOPT_HTTPHEADER, headers);
curl_easy_setopt(hnd, CURLOPT_POSTFIELDS, "{\n \"quote_msg_id\": \"<string>\",\n \"quote_resp_id\": \"<string>\",\n \"quote_id\": \"<string>\",\n \"quote_resp_type\": 123,\n \"quote_type\": 123,\n \"parties\": [\n {\n \"party_id\": \"<string>\",\n \"party_id_source\": \"<string>\",\n \"party_role\": 123\n }\n ],\n \"symbol\": \"<string>\",\n \"side\": \"<string>\",\n \"order_qty\": 123,\n \"account\": \"<string>\",\n \"account_type\": 123,\n \"bid_price\": \"<string>\",\n \"offer_price\": \"<string>\",\n \"bid_size\": 123,\n \"offer_size\": 123,\n \"order_type\": \"<string>\",\n \"trade_date\": \"<string>\",\n \"cash_margin\": \"<string>\",\n \"ioi_id\": \"<string>\",\n \"invest_code\": \"<string>\",\n \"forn_invest_type_code\": \"<string>\",\n \"repo_haircut_ratio_mantissa\": 123,\n \"collateral_value_mantissa\": 123,\n \"custodian_id\": \"<string>\",\n \"open_close_code\": \"<string>\",\n \"forn_nego_classfy_code\": \"<string>\"\n}");
CURLcode ret = curl_easy_perform(hnd);{
"isSuccess": true,
"detail": "<string>",
"data": {
"msg_type": "<string>",
"request_id": "<string>",
"orig_request_id": "<string>",
"client_id": "<string>",
"hft_gateway": "<string>",
"source_service": "<string>",
"source_sequence": 123
}
}{
"isSuccess": false,
"detail": "<string>"
}{
"isSuccess": false,
"detail": "<string>"
}Ủy quyền
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Nội dung
Put-through quote response request fields.
QuoteResponseRequest schema.
Required.
Quote response identifier.
Quote identifier.
Quote response type.
Quote type.
Trading symbol.
Order or quote side.
Order quantity.
Trading account used by the request.
Account type code.
Bid price.
Offer price.
Bid size.
Offer size.
Order type submitted by the client.
Trade date value for QuoteResponseRequest.
Cash margin indicator.
IOI identifier.
Investor code.
Foreign investor type code.
Repo haircut ratio represented as a mantissa integer.
Collateral value represented as a mantissa integer.
Custodian identifier.
Open/close code.
Foreign negotiation classification code.
Phản hồi
Accepted
AckResponse schema.
Indicates whether the operation completed successfully.
true
Detailed information for the record.
Ack schema.
Hide child attributes
Hide child attributes
Msg type value for Ack.
Request identifier.
Original request identifier when the operation references a prior request.
Client identifier reported by the record.
Routing identifier reported in the payload.
Source identifier reported by the payload.
Source sequence number for ordering updates.
curl --request POST \
--url https://api-oms.verolabs.co/api/v1/orders/quote-response \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"quote_msg_id": "<string>",
"quote_resp_id": "<string>",
"quote_id": "<string>",
"quote_resp_type": 123,
"quote_type": 123,
"parties": [
{
"party_id": "<string>",
"party_id_source": "<string>",
"party_role": 123
}
],
"symbol": "<string>",
"side": "<string>",
"order_qty": 123,
"account": "<string>",
"account_type": 123,
"bid_price": "<string>",
"offer_price": "<string>",
"bid_size": 123,
"offer_size": 123,
"order_type": "<string>",
"trade_date": "<string>",
"cash_margin": "<string>",
"ioi_id": "<string>",
"invest_code": "<string>",
"forn_invest_type_code": "<string>",
"repo_haircut_ratio_mantissa": 123,
"collateral_value_mantissa": 123,
"custodian_id": "<string>",
"open_close_code": "<string>",
"forn_nego_classfy_code": "<string>"
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
quote_msg_id: '<string>',
quote_resp_id: '<string>',
quote_id: '<string>',
quote_resp_type: 123,
quote_type: 123,
parties: [{party_id: '<string>', party_id_source: '<string>', party_role: 123}],
symbol: '<string>',
side: '<string>',
order_qty: 123,
account: '<string>',
account_type: 123,
bid_price: '<string>',
offer_price: '<string>',
bid_size: 123,
offer_size: 123,
order_type: '<string>',
trade_date: '<string>',
cash_margin: '<string>',
ioi_id: '<string>',
invest_code: '<string>',
forn_invest_type_code: '<string>',
repo_haircut_ratio_mantissa: 123,
collateral_value_mantissa: 123,
custodian_id: '<string>',
open_close_code: '<string>',
forn_nego_classfy_code: '<string>'
})
};
fetch('https://api-oms.verolabs.co/api/v1/orders/quote-response', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api-oms.verolabs.co/api/v1/orders/quote-response"
payload = {
"quote_msg_id": "<string>",
"quote_resp_id": "<string>",
"quote_id": "<string>",
"quote_resp_type": 123,
"quote_type": 123,
"parties": [
{
"party_id": "<string>",
"party_id_source": "<string>",
"party_role": 123
}
],
"symbol": "<string>",
"side": "<string>",
"order_qty": 123,
"account": "<string>",
"account_type": 123,
"bid_price": "<string>",
"offer_price": "<string>",
"bid_size": 123,
"offer_size": 123,
"order_type": "<string>",
"trade_date": "<string>",
"cash_margin": "<string>",
"ioi_id": "<string>",
"invest_code": "<string>",
"forn_invest_type_code": "<string>",
"repo_haircut_ratio_mantissa": 123,
"collateral_value_mantissa": 123,
"custodian_id": "<string>",
"open_close_code": "<string>",
"forn_nego_classfy_code": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api-oms.verolabs.co/api/v1/orders/quote-response"
payload := strings.NewReader("{\n \"quote_msg_id\": \"<string>\",\n \"quote_resp_id\": \"<string>\",\n \"quote_id\": \"<string>\",\n \"quote_resp_type\": 123,\n \"quote_type\": 123,\n \"parties\": [\n {\n \"party_id\": \"<string>\",\n \"party_id_source\": \"<string>\",\n \"party_role\": 123\n }\n ],\n \"symbol\": \"<string>\",\n \"side\": \"<string>\",\n \"order_qty\": 123,\n \"account\": \"<string>\",\n \"account_type\": 123,\n \"bid_price\": \"<string>\",\n \"offer_price\": \"<string>\",\n \"bid_size\": 123,\n \"offer_size\": 123,\n \"order_type\": \"<string>\",\n \"trade_date\": \"<string>\",\n \"cash_margin\": \"<string>\",\n \"ioi_id\": \"<string>\",\n \"invest_code\": \"<string>\",\n \"forn_invest_type_code\": \"<string>\",\n \"repo_haircut_ratio_mantissa\": 123,\n \"collateral_value_mantissa\": 123,\n \"custodian_id\": \"<string>\",\n \"open_close_code\": \"<string>\",\n \"forn_nego_classfy_code\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}using RestSharp;
var options = new RestClientOptions("https://api-oms.verolabs.co/api/v1/orders/quote-response");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "Bearer <token>");
request.AddJsonBody("{\n \"quote_msg_id\": \"<string>\",\n \"quote_resp_id\": \"<string>\",\n \"quote_id\": \"<string>\",\n \"quote_resp_type\": 123,\n \"quote_type\": 123,\n \"parties\": [\n {\n \"party_id\": \"<string>\",\n \"party_id_source\": \"<string>\",\n \"party_role\": 123\n }\n ],\n \"symbol\": \"<string>\",\n \"side\": \"<string>\",\n \"order_qty\": 123,\n \"account\": \"<string>\",\n \"account_type\": 123,\n \"bid_price\": \"<string>\",\n \"offer_price\": \"<string>\",\n \"bid_size\": 123,\n \"offer_size\": 123,\n \"order_type\": \"<string>\",\n \"trade_date\": \"<string>\",\n \"cash_margin\": \"<string>\",\n \"ioi_id\": \"<string>\",\n \"invest_code\": \"<string>\",\n \"forn_invest_type_code\": \"<string>\",\n \"repo_haircut_ratio_mantissa\": 123,\n \"collateral_value_mantissa\": 123,\n \"custodian_id\": \"<string>\",\n \"open_close_code\": \"<string>\",\n \"forn_nego_classfy_code\": \"<string>\"\n}", false);
var response = await client.PostAsync(request);
Console.WriteLine("{0}", response.Content);
falseCURL *hnd = curl_easy_init();
curl_easy_setopt(hnd, CURLOPT_CUSTOMREQUEST, "POST");
curl_easy_setopt(hnd, CURLOPT_WRITEDATA, stdout);
curl_easy_setopt(hnd, CURLOPT_URL, "https://api-oms.verolabs.co/api/v1/orders/quote-response");
struct curl_slist *headers = NULL;
headers = curl_slist_append(headers, "Authorization: Bearer <token>");
headers = curl_slist_append(headers, "Content-Type: application/json");
curl_easy_setopt(hnd, CURLOPT_HTTPHEADER, headers);
curl_easy_setopt(hnd, CURLOPT_POSTFIELDS, "{\n \"quote_msg_id\": \"<string>\",\n \"quote_resp_id\": \"<string>\",\n \"quote_id\": \"<string>\",\n \"quote_resp_type\": 123,\n \"quote_type\": 123,\n \"parties\": [\n {\n \"party_id\": \"<string>\",\n \"party_id_source\": \"<string>\",\n \"party_role\": 123\n }\n ],\n \"symbol\": \"<string>\",\n \"side\": \"<string>\",\n \"order_qty\": 123,\n \"account\": \"<string>\",\n \"account_type\": 123,\n \"bid_price\": \"<string>\",\n \"offer_price\": \"<string>\",\n \"bid_size\": 123,\n \"offer_size\": 123,\n \"order_type\": \"<string>\",\n \"trade_date\": \"<string>\",\n \"cash_margin\": \"<string>\",\n \"ioi_id\": \"<string>\",\n \"invest_code\": \"<string>\",\n \"forn_invest_type_code\": \"<string>\",\n \"repo_haircut_ratio_mantissa\": 123,\n \"collateral_value_mantissa\": 123,\n \"custodian_id\": \"<string>\",\n \"open_close_code\": \"<string>\",\n \"forn_nego_classfy_code\": \"<string>\"\n}");
CURLcode ret = curl_easy_perform(hnd);{
"isSuccess": true,
"detail": "<string>",
"data": {
"msg_type": "<string>",
"request_id": "<string>",
"orig_request_id": "<string>",
"client_id": "<string>",
"hft_gateway": "<string>",
"source_service": "<string>",
"source_sequence": 123
}
}{
"isSuccess": false,
"detail": "<string>"
}{
"isSuccess": false,
"detail": "<string>"
}
